#overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    z-index: 100000;
    display: none;
    opacity: 0;
    transition: opacity .5s ease;
}

#messagePopup {
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background: rgba(255, 255, 255, 1);
    padding: 20px;
    border-radius: 5px;
    /* box-shadow: 0 0 15px rgba(0, 0, 0, 0.2); */
    z-index: 100000;
    box-sizing: border-box;
    text-align: center;
    display: none;
    opacity: 0;
    transition: opacity 0.3s ease, transform 0.3s ease;
}

/* #messagePopup.show {
    display: block;
    opacity: 1;
    animation: zoomIn 1s forwards;
}

#messagePopup.hide {
    animation: zoomOut 1s forwards;
} */

#messagePopup.show {
    display: block;
    opacity: 1;
    animation: slideIn .5s forwards;
}

#messagePopup.hide {
    animation: slideOut .5s forwards;
}

#popupMessageContent {
    margin-bottom: 20px;
    color: #000000;
}

#messagePopup button {
    padding: 10px 20px;
    background-color: #000000;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

#messagePopup button:hover {
    background-color: #b0b0b0;
    color: black;
}

/* @media (max-width: 1024px) {
    #messagePopup {
        width: 80%;
    }
}

@media (max-width: 767px) {
    #messagePopup {
        width: 90%;
    }
} */

@keyframes zoomIn {
    from {
        transform: translate(-50%, -50%) scale(0.8);
        opacity: 0;
    }

    to {
        transform: translate(-50%, -50%) scale(1);
        opacity: 1;
    }
}

@keyframes zoomOut {
    from {
        transform: translate(-50%, -50%) scale(1);
        opacity: 1;
    }

    to {
        transform: translate(-50%, -50%) scale(0.8);
        opacity: 0;
    }
}

@keyframes slideIn {
    from {
        transform: translate(-50%, 100%);
        opacity: 0;
    }

    to {
        transform: translate(-50%, -50%);
        opacity: 1;
    }
}

@keyframes slideOut {
    from {
        transform: translate(-50%, -50%);
        opacity: 1;
    }

    to {
        transform: translate(-50%, 100%);
        opacity: 0;
    }
}

body.no-scroll,
html.no-scroll {
    overflow: hidden !important;
    height: 100% !important;
}